.form-managed-file,
.dui-input--textfield {
  font-size: 1rem;
  line-height: 1.5;
  letter-spacing: 0.16px;
  font-weight: 300;
  color: var(--dui-input-text-color, var(--dui-color-black, #000000));
  border: var(--dui-input-border-width, 1px) solid var(--dui-input-border-color, var(--dui-color-brand-1, #0052CC));
  border-radius: var(--dui-input-border-radius, 0.5em);
  padding: var(--dui-input-padding-y, 0.6875em) var(--dui-input-padding-x, 1em);
  background-color: var(--dui-input-bg-color, var(--dui-color-white, #ffffff));
  width: 100%;
}
.form-managed-file::-webkit-input-placeholder, .dui-input--textfield::-webkit-input-placeholder {
  color: var(--dui-input-placeholder-color, rgba(0, 0, 0, 0.64));
  opacity: 1; /* Firefox */
}
.form-managed-file::-moz-placeholder, .dui-input--textfield::-moz-placeholder {
  color: var(--dui-input-placeholder-color, rgba(0, 0, 0, 0.64));
  opacity: 1; /* Firefox */
}
.form-managed-file:-ms-input-placeholder, .dui-input--textfield:-ms-input-placeholder {
  color: var(--dui-input-placeholder-color, rgba(0, 0, 0, 0.64));
  opacity: 1; /* Firefox */
}
.form-managed-file::-ms-input-placeholder, .dui-input--textfield::-ms-input-placeholder {
  color: var(--dui-input-placeholder-color, rgba(0, 0, 0, 0.64));
  opacity: 1; /* Firefox */
}
.form-managed-file::placeholder,
.dui-input--textfield::placeholder {
  color: var(--dui-input-placeholder-color, rgba(0, 0, 0, 0.64));
  opacity: 1; /* Firefox */
}
.dui-input--filled.form-managed-file,
.dui-input--filled.dui-input--textfield {
  border-color: var(--dui-input-border-color-valid, var(--dui-color-brand-1, #0052CC));
}
.error.form-managed-file,
.error.dui-input--textfield, .form-managed-file:invalid,
.dui-input--textfield:invalid {
  border-color: var(--dui-input-border-color-invalid, var(--dui-color-state-error, #b9121b));
}
.form-managed-file:hover,
.dui-input--textfield:hover, .form-managed-file:focus-visible,
.dui-input--textfield:focus-visible, .form-managed-file:focus-within,
.dui-input--textfield:focus-within {
  border-color: var(--dui-input-border-color-active, rgb(0, 102.5, 255));
}
.form-managed-file:hover,
.dui-input--textfield:hover {
  background-color: var(--dui-input-bg-color-hover, var(--dui-color-white, #ffffff));
}
.form-managed-file:focus-visible,
.dui-input--textfield:focus-visible, .form-managed-file:focus-within,
.dui-input--textfield:focus-within {
  outline-offset: var(--dui-input-focus-outline-offset, 4px);
}
.form-managed-file:disabled,
.dui-input--textfield:disabled {
  border-color: var(--dui-input-border-color-disabled, var(--dui-color-light-grey, #ededed));
  background-color: var(--dui-input-bg-color-disabled, var(--dui-color-light-grey, #ededed));
}
.form-managed-file:disabled:hover,
.dui-input--textfield:disabled:hover, .form-managed-file:disabled:focus-visible,
.dui-input--textfield:disabled:focus-visible, .form-managed-file:disabled:focus-within,
.dui-input--textfield:disabled:focus-within {
  border-color: var(--dui-input-border-color-disabled, var(--dui-color-light-grey, #ededed));
  background-color: var(--dui-input-bg-color-disabled, var(--dui-color-light-grey, #ededed));
}

.form-managed-file.dui-input--small, .dui-input--small .form-managed-file,
.dui-input--textfield.dui-input--small,
.dui-input--small .dui-input--textfield {
  font-size: calc(1rem * 0.875);
  padding: var(--dui-input-padding-y-s, 0.6428em) var(--dui-input-padding-x-s, 1em);
}

.form-managed-file.dui-input--large, .dui-input--large .form-managed-file,
.dui-input--textfield.dui-input--large,
.dui-input--large .dui-input--textfield {
  font-size: calc(1rem * 1.125);
  padding: var(--dui-input-padding-y-l, 0.723em) var(--dui-input-padding-x-l, 1em);
}

.dui-input--checkbox.dui-input--small, .dui-input--small .dui-input--checkbox,
.dui-input--radio.dui-input--small,
.dui-input--small .dui-input--radio {
  font-size: var(--dui-input-checkbox-size-small, 0.875rem);
}
.dui-input--checkbox.dui-input--small + .dui-input__state, .dui-input--small .dui-input--checkbox + .dui-input__state,
.dui-input--radio.dui-input--small + .dui-input__state,
.dui-input--small .dui-input--radio + .dui-input__state {
  font-size: var(--dui-input-checkbox-size-small, 0.875rem);
}

.dui-input--checkbox.dui-input--large, .dui-input--large .dui-input--checkbox,
.dui-input--radio.dui-input--large,
.dui-input--large .dui-input--radio {
  font-size: var(--dui-input-checkbox-size-large, 1.125rem);
}
.dui-input--checkbox.dui-input--large + .dui-input__state, .dui-input--large .dui-input--checkbox + .dui-input__state,
.dui-input--radio.dui-input--large + .dui-input__state,
.dui-input--large .dui-input--radio + .dui-input__state {
  font-size: var(--dui-input-checkbox-size-large, 1.125rem);
}

.dui-input--checkbox {
  font-size: var(--dui-input-checkbox-size, 1rem);
  vertical-align: middle;
  margin-right: -1em;
  position: relative;
  opacity: 0.01;
  width: 1em;
  height: 1em;
}
.dui-input--checkbox + .dui-input__state {
  font-size: var(--dui-input-checkbox-size, 1rem);
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  width: calc(1em - var(--dui-input-checkbox-border-width, 2px) * 2);
  height: calc(1em - var(--dui-input-checkbox-border-width, 2px) * 2);
  border: var(--dui-input-checkbox-border-width, 2px) solid var(--dui-input-checkbox-border-color, var(--dui-color-brand-1, #0052CC));
  background-color: var(--dui-input-bg-color, var(--dui-color-white, #ffffff));
  -webkit-box-sizing: content-box;
          box-sizing: content-box;
  vertical-align: middle;
}
.dui-input--checkbox:checked + .dui-input__state {
  border-color: var(--dui-input-checkbox-border-color-checked, var(--dui-color-brand-1, #0052CC));
}
.dui-input--checkbox:hover + .dui-input__state, .dui-input--checkbox:focus-visible + .dui-input__state {
  background-color: var(--dui-input-checkbox-hover, rgb(214.2, 227.32, 246.84));
}
.error.dui-input--checkbox + .dui-input__state, .dui-input--checkbox:invalid + .dui-input__state {
  border-color: var(--dui-input-border-color-invalid, var(--dui-color-state-error, #b9121b));
}
.dui-input--checkbox:disabled + .dui-input__state {
  border-color: var(--dui-input-border-color-disabled, var(--dui-color-light-grey, #ededed));
}
.dui-input--checkbox:disabled:hover + .dui-input__state, .dui-input--checkbox:disabled:focus-visible + .dui-input__state {
  border-color: var(--dui-input-border-color-disabled, var(--dui-color-light-grey, #ededed));
  background-color: var(--dui-input-bg-color, var(--dui-color-white, #ffffff));
}
.dui-input--checkbox:disabled:checked + .dui-input__state {
  border-color: var(--dui-input-border-color-disabled, var(--dui-color-light-grey, #ededed));
  background-color: var(--dui-input-bg-color-disabled, var(--dui-color-light-grey, #ededed));
}
.dui-input--checkbox + .dui-input__state {
  border-radius: 0.3125em;
}
.dui-input--checkbox:checked + .dui-input__state {
  background-color: var(--dui-input-checkbox-checked, var(--dui-color-brand-1, #0052CC));
}
.dui-input--checkbox:checked + .dui-input__state:before {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: "dui-icon" !important;
  speak: never;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: normal;
  vertical-align: middle;
  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  content: "\ea46";
  color: var(--dui-input-checkbox-checked-icon, var(--dui-color-white, #ffffff));
  font-size: 0.75em;
}

.dui-input--radio {
  font-size: var(--dui-input-checkbox-size, 1rem);
  vertical-align: middle;
  margin-right: -1em;
  position: relative;
  opacity: 0.01;
  width: 1em;
  height: 1em;
}
.dui-input--radio + .dui-input__state {
  font-size: var(--dui-input-checkbox-size, 1rem);
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  width: calc(1em - var(--dui-input-checkbox-border-width, 2px) * 2);
  height: calc(1em - var(--dui-input-checkbox-border-width, 2px) * 2);
  border: var(--dui-input-checkbox-border-width, 2px) solid var(--dui-input-checkbox-border-color, var(--dui-color-brand-1, #0052CC));
  background-color: var(--dui-input-bg-color, var(--dui-color-white, #ffffff));
  -webkit-box-sizing: content-box;
          box-sizing: content-box;
  vertical-align: middle;
}
.dui-input--radio:checked + .dui-input__state {
  border-color: var(--dui-input-checkbox-border-color-checked, var(--dui-color-brand-1, #0052CC));
}
.dui-input--radio:hover + .dui-input__state, .dui-input--radio:focus-visible + .dui-input__state {
  background-color: var(--dui-input-checkbox-hover, rgb(214.2, 227.32, 246.84));
}
.error.dui-input--radio + .dui-input__state, .dui-input--radio:invalid + .dui-input__state {
  border-color: var(--dui-input-border-color-invalid, var(--dui-color-state-error, #b9121b));
}
.dui-input--radio:disabled + .dui-input__state {
  border-color: var(--dui-input-border-color-disabled, var(--dui-color-light-grey, #ededed));
}
.dui-input--radio:disabled:hover + .dui-input__state, .dui-input--radio:disabled:focus-visible + .dui-input__state {
  border-color: var(--dui-input-border-color-disabled, var(--dui-color-light-grey, #ededed));
  background-color: var(--dui-input-bg-color, var(--dui-color-white, #ffffff));
}
.dui-input--radio:disabled:checked + .dui-input__state {
  border-color: var(--dui-input-border-color-disabled, var(--dui-color-light-grey, #ededed));
  background-color: var(--dui-input-bg-color-disabled, var(--dui-color-light-grey, #ededed));
}
.dui-input--radio + .dui-input__state {
  border-radius: 1em;
}
.dui-input--radio:checked + .dui-input__state::before {
  content: "";
  display: block;
  width: 0.5em;
  height: 0.5em;
  border-radius: 1em;
  background-color: var(--dui-input-checkbox-checked, var(--dui-color-brand-1, #0052CC));
}
.dui-input--radio:disabled:checked + .dui-input__state::before {
  background-color: var(--dui-input-bg-color-disabled, var(--dui-color-light-grey, #ededed));
}
